/*
 *   PCM time-domain equalizer
 *
 *   Copyright (C) 2002  Felipe Rivera <liebremx at users.sourceforge.net>
 *
 *   19.08.2002 Initial release for XMMS
 *
 *   
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   $Id: gui.c,v 1.2 2002/08/31 18:55:33 felipe Exp $
 */

#include "eq.h"

static char *eq_about_text = "EQ Plugin\nBy Felipe Rivera 2002";

void about(void)
{
	static GtkWidget *eq_about_dialog = NULL;

	if (eq_about_dialog != NULL)
		return;

	eq_about_dialog = xmms_show_message("About EQ Plugin",
					      eq_about_text, "Ok",
					      FALSE, NULL, NULL);
	gtk_signal_connect(GTK_OBJECT(eq_about_dialog), "destroy",
			   GTK_SIGNAL_FUNC(gtk_widget_destroyed),
			   &eq_about_dialog);
}

void init_gui(void)
{
	eqcfg.initialized = FALSE;
	eq_read_config();
	EQequalizer_create();
	EQeqslider_set_names();
	if (cfg.use_eplugins && get_current_effect_plugin() &&
			get_current_effect_plugin()->mod_samples == mod_samples)
		EQequalizer_real_show();
	eqcfg.initialized = TRUE;
}

void clean_gui(void)
{
	eq_write_config();
	gtk_widget_hide(equalizerwin);
	gtk_widget_destroy(equalizerwin);
}
